Skip to main content
PATCH
Update project

Headers

X-Workspace-Id
string

Workspace ID

Path Parameters

id
string
required

Body

application/json
name
string

Name of the project

Example:

"Web Servers"

hexColor
string

Hex color of the project

Example:

"#78716C"

description
string | null
autoAddAssets
boolean

Response

200 - application/json
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required
autoAddAssets
boolean
required
totalAssets
number
required
hexColor
string
Example:

"#78716C"

description
string | null
archivedAt
string<date-time> | null
projectWorkflows
object[]
lastRunAt
string<date-time> | null